summaryrefslogtreecommitdiffstats
path: root/source/l/qca-ossl
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/l/qca-ossl
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/l/qca-ossl')
-rwxr-xr-xsource/l/qca-ossl/qca-ossl.SlackBuild82
-rw-r--r--source/l/qca-ossl/qca-ossl.nowhirlpool.diff30
-rw-r--r--source/l/qca-ossl/slack-desc19
3 files changed, 131 insertions, 0 deletions
diff --git a/source/l/qca-ossl/qca-ossl.SlackBuild b/source/l/qca-ossl/qca-ossl.SlackBuild
new file mode 100755
index 000000000..717b397b9
--- /dev/null
+++ b/source/l/qca-ossl/qca-ossl.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Copyright 2006, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com> for qca-ossl-2.0.0
+# No additional license terms and no copyright claim
+
+
+PKGNAM=qca-ossl
+VERSION=2.0.0_beta3
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$(echo $VERSION | tr _ -)
+tar xvf $CWD/$PKGNAM-$(echo $VERSION | tr _ -).tar.bz2 || exit 1
+cd $PKGNAM-$(echo $VERSION | tr _ -) || exit 1
+chown -R root:root .
+# Fix a compilation error with our new openssh:
+zcat $CWD/qca-ossl.nowhirlpool.diff.gz | patch -p0 --verbose || exit 1
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure
+
+make \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS"
+make install INSTALL_ROOT=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$(echo $VERSION | tr - _)
+cp -a COPYING README TODO $PKG/usr/doc/$PKGNAM-$(echo $VERSION | tr - _)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
+
diff --git a/source/l/qca-ossl/qca-ossl.nowhirlpool.diff b/source/l/qca-ossl/qca-ossl.nowhirlpool.diff
new file mode 100644
index 000000000..96451e1a6
--- /dev/null
+++ b/source/l/qca-ossl/qca-ossl.nowhirlpool.diff
@@ -0,0 +1,30 @@
+# remove whirlpool usage. the algorithm is missing on at least 0.9.8g and
+# 0.9.8i, even though there's an OBJ_whirlpool definition in 0.9.8i.
+--- qca-ossl.cpp 2008/08/18 09:08:51 848615
++++ qca-ossl.cpp 2008/09/24 19:22:26 864423
+@@ -6616,9 +6616,11 @@
+ #ifdef SHA512_DIGEST_LENGTH
+ list += "sha512";
+ #endif
++/*
+ #ifdef OBJ_whirlpool
+ list += "whirlpool";
+ #endif
++*/
+ return list;
+ }
+
+@@ -6863,10 +6865,12 @@
+ else if ( type == "sha512" )
+ return new opensslHashContext( EVP_sha512(), this, type);
+ #endif
++/*
+ #ifdef OBJ_whirlpool
+ else if ( type == "whirlpool" )
+ return new opensslHashContext( EVP_whirlpool(), this, type);
+ #endif
++*/
+ else if ( type == "pbkdf1(sha1)" )
+ return new opensslPbkdf1Context( EVP_sha1(), this, type );
+ else if ( type == "pbkdf1(md2)" )
+
diff --git a/source/l/qca-ossl/slack-desc b/source/l/qca-ossl/slack-desc
new file mode 100644
index 000000000..d43d139f4
--- /dev/null
+++ b/source/l/qca-ossl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qca-ossl: qca-ossl (OpenSSL plugin for QCA)
+qca-ossl:
+qca-ossl: This plugin provides features based on OpenSSL. It implements:
+qca-ossl: * Hashing - SHA1, SHA0, RIPEMD160, MD2, MD4, MD5
+qca-ossl: * Hashing - SHA224, SHA256, SHA384 and SHA512
+qca-ossl: * Block Ciphers
+qca-ossl: * Keyed Hash Message Authentication Code (HMAC), using SHA1,
+qca-ossl: MD5, and RIPEMD160
+qca-ossl: * Public keys - RSA, DSA, Diffie-Hellman
+qca-ossl: * PKCS#12 * SSL/TLS * CMS (for S/MIME)
+qca-ossl: